
# Messaggi di errore standard - ResponseOutcome
# m.veroni - aggiornamento al 30/08/2010

1 = Errore  
90401 = La compilazione del campo è obbligatoria
90402 = Inserire un valore il campo non può essere vuoto
90403 = Il valore del campo e' fuori dai limiti consentiti
90404 = Il campo non e' valido
90405 = Il valore inserito supera il limite consentito
90406 = L' importo inserito non è valido
90407 = Il valore inserito non è valido (cast exception)
90408 = Errore interno del server, metodo di verifica non valido
90409 = Il codice lingua e' obbligatorio
90410 = Il codice cliente non e' valido
90411 = Il codice cliente non e' valido (eliminato)
90412 = Il codice istanza non e' valido
90413 = Istanza non valida
90414 = Istanza non valida (eliminata)
90415 = Istanza non valida (non esite)
90416 = Codice tecnologia obbligatorio
90417 = Identificativo device obbligatorio
90418 = Codice tecnologia inesistente
90419 = Codice tecnologia non valido
90420 = Codice tecnologia non valido (eliminata)
90421 = Controlla la tebella dei device registrati (errori di integrità)
90422 = Controlla la tabella dei codici di registrazione(errori di integrità)
90423 = Codice di registrazione non trovato
90424 = Superato il limite di utilizzo del codice di registrazione
90425 = Codice di registrazione non abbinato a una zona valida
90426 = Codice di registrazione non trovato (eliminato)
90427 = Preregistrazione fallita, identificativo del device non valido
90428 = Risoluzione display non valida
90429 = Risoluzione display non trovata
90430 = Zona non valida
90431 = Zona non valida (eliminata)
90432 = Zona non valida (presente regola di restrizione)
90433 = Il parametro 'zoneCode' e' obbligatorio
90434 = Il cambio zona non e' permesso
90435 = Profilo non trovato
90436 = Profilo non valido (eliminato)
90437 = Il profilo richiede l'associazione con un pacchetto
90438 = Pacchetto non trovato
90439 = Pacchetto non valido
90440 = Pacchetto non valido (eliminato)
90441 = Pacchetto senza servizi
90442 = Pacchetto con tutti i servizi cancellati
90442 = Il pachetto non coincide con il codice zona
90444 = Nessun pacchetto attivato per questa tecnologia
90445 = L'abbinamento richiesto tecnologia/display non è stato trovato
90446 = Il codice della dimensione dello sfondo non è valido
90447 = Il codice della dimensione dello sfondo non trovato
90448 = Nessuna  combinazione technologia/display/sfondo trovata
90449 = Risoluzione display non valida
90450 = Dispositivo non valido, verificare registrazione
90451 = Dispositivo non valido, verificare registrazione (eliminata)
90452 = Dispositivo non valido,completare registrazione
90453 = Dispositivo non valido,completare registrazione con codice
90454 = Numero massimo di device raggiunto
90455 = L'istanza può avere un solo menu
90456 = L'istanza non contiene un menu valido
90457 = Struttura menu non valida, struttura di base non trovata
90458 = Struttura menu non valida, nessun elemento trovato
90459 = Struttura menu non valida, nessun modulo trovato
90460 = Struttura menu non valida, nessun tema trovato
90461 = Struttura menu non valida, Struttura di base senza sottostrutture
90462 = Struttura menu non valida, nessun servizio valido per la zona
90463 = Struttura menu non valida, trovato elemento senza immagine
90464 = Struttura menu non valida, trovato elemento senza proprietà grafiche
90465 = Struttura menu non valida, manca un elemento di base
90466 = Struttura menu non valida, applicazione non trovata

90470 = Nessun file da caricare
90471 = Errore in caricamento file; impossibile sovrascrivere
90472 = Errore in caricamento file; file duplicato
90473 = Errore in caricamento file!
90474 = Errore in caricamento file; impossibile scrivere
90475 = Il Codice del gruppo non è valido
90476 = Il Codice del gruppo e' obbligatorio
90477 = Il Codice del gruppo non è valido (troppi record)
90478 = Nessun dato trovato per il codice del gruppo
90479 = Errore di creazione della directory
90480 = Dato non valido o non gestito
90481 = Cooordinate della galleria non valide
90482 = Estensione immagine valida per il tipo risorsa selezionata
90483 = Immagine non valida; informazioni non valide
90484 = File duplicato
90485 = Nessun campo di credenziali inserito
90486 = Username/password non valide
90487 = Username/password non valide (estratti troppi record)
90488 = Ruolo non valido
90489 = Ruolo non valido (estratti troppi record)
90490 = Formato file non valido
90491 = Query vuota
90492 = Errore SQL
90493 = Colonna non corrispondente
90494 = Tipo draft no valido
90495 = Utente non valido (non trovato)

90510 = Documento XML  scorretto
90511 = L' elemento dell' XML è vuoto
90513 = Errore nella creazione dell' interfaccia XML
90514 = Errore nella creazione del tema XML
90520 = Versione protocollo obbligatoria
90521 = Versione protocollo obbligatoria non valida
90522 = Versione protocollo obbligatoria fuori dai limiti permessi
90530 = Nessun dato immutabile inviato, controllare il sistema!
90531 = Identificativo device (unique) non valido, controllare sequenza processo
90532 = Identificativo device obbligatorio
90533 = Tecnologia non corrispondente al codice univoco
90534 = Il dato immutabile non coincide con l'id unico del client
90535 = Vecchio codice device (ex clientId) obbligatorio
90560 = Risorsa inesistente
90561 = Risorsa non valida
90562 = Risorsa non valida (cancellata)
90563 = Risorsa non valida, file non trovato
90564 = Tema non valido
90565 = Tema non valido (eliminato)
90566 = Tema non valido (non pubblicabile)
90567 = Associazione tra tema e proprietà grafica non valida
90568 = Associazione tra tema e proprietà grafica non valida (cancellata)
90569 = Una sola associazone permessa tra tema e proprietà grafica
90570 = Proprietà grafica del menu non trovata
90571 = Proprietà grafica del menu non trovata (eliminato)
90572 = Proprietà grafica per menu/display non trovata
90573 = Proprietà grafica per menu/display non trovata (eliminata)
90574 = Immagine di sfondo del menu/display non trovata
90575 = L'associazione instanza/technologia non esiste
90576 = L'associazione instanza/technologia non è valida
90577 = L'associazione instanza/technologia (eliminata)
90578 = Tema non valido per questa istanza
90579 = Id risorsa non valido (non trovato)
90580 = Nessun feedback valido XML
90581 = Nessun valore di feedback valido, atteso un numero
90582 = Nessun valore di feedback valido
90583 = Nessun id di servizio valido nel feedback
90584 = Nessun id di servizio trovato nel feedback
90585 = Nessun valore data/ora trovato
90586 = Nessun formato data/ora trovato
90587 = Il tipo di Feedback presente nell' XML non è valido
90588 = Id del servizio non valido
90589 = Id del servizio non valido (eliminato)
90590 = Id del servizio non valido per il feedback dei crediti
90591 = Valore non valido per i crediti residui
90592 = Valore non valido per i crediti usati
90593 = Azione non valida sui serivizi on demad
90594 = Servizio non compatibile con l'istanza
90595 = Nessun paccheto trovato per il servizio
90596 = Nessun rinnovo trovato per il servizio
90597 = Il servizo non e' on-demand
90598 = Il servizo non e' on-demand (cancellato)
90599 = Associazione servizio/categoria non valida
90600 = Errore di comunicazione il server
90601 = Url errato 
90602 = Contenuto della ripsosta non valido (text/xml)
90603 = Risposta null dal server remoto
90604 = Errore JDOM nella risposta del server remoto
90605 = L' XML contenuto nella risposta del server non è valido
90606 = L' etichetta dell' XML contenuta nella risposta del server non è valida
90607 = La notifica del record non è presente nella tabella
90608 = Il Codice o l' id market non è valido per l'istanza
90609 = Il codice del Market e l' id non coincidono con il market stesso
90610 = Il server remoto non risponde
90611 = Codici e messaggi indefiniti in risposta dal server remoto
90612 = La richiesta di Input dell' XML è null
90613 = La richiesta di Input dell' XML non è valida
90614 = La richiesta di Input dell' XML non è valida; il FILTRO è vuoto
90615 = La richiesta di Input dell' XML non è valida; il MESSAGGIO è vuoto
90616 = La richiesta di Input dell' XML non è valida; il CODICE-ISTANZA è obbligatorio
90617 = La richiesta di Input dell' XML non è valida; il CODICE-ISTANZA non è valido
90620 = Canale del messaggio push non valido
90621 = Canale del messaggio push non valido (cancellato)
90622 = Categoria di push message channel non gestito
90623 = Messaggio push troppo lungo
90624 = Target del comando associato al messaggio push nullo
90625 = Target del comando associato al messaggio push non valido
90626 = Id galleria non valido
90627 = La richiesta di Input dell' XML non è valida; BODY is null
90629 = La richiesta di Input dell' XML non è valida; FILTER is inconsistent
90629 = Certificato del canale push non trovato
90630 = Messaggio push non trovato nel database
90631 = Canale invio push non configurato
90632 = Configurazione canale push channel non valido
90633 = Errore in configurazone canale push
90634 = Processatore Push non trovato per questa categoria di canale
90635 = Il Messaggio di feedback non è valido
90636 = Uno o piu' comandi push non sono validi, verificare XML
90637 = Uno o piu' argomenti del messaggio push non sono validi, verificare XML (command)
90638 = Argomenti obbligatori non trovati, verificare XML (command)
90639 = Troppi comandi nella lista
90640 = Google auth key nulla o non valida
90650 = Un solo IP nella risposta dell' header
90651 = Dati di GeoIp non trovati
90652 = IP obbligtorio
90653 = IP non valido
90654 = Il localiazzatore GeoIp è null
90656 = La localizzazione GeoIp è null
90657 = Il metodo di GeoIp non è valido
90720 = L' attivazione Push non è valida
90721 = Dispositivo non registrato al servizio push, operazione di refresh non valida
90723 = Dispositivo non registrato al servizio push (cancellato), operazione di refresh non valida
90730 = Users provider non valido, controllare la configurazione dell' istanza o aggiungere parametro alla chiamata
90731 = Users provider non valido (cancellato), controllare la configurazione dell' istanza
90732 = Users provider MyDesktopMate non valido
90733 = Users provider MyDesktopMate non valido (cancellato)
90734 = Utente di device non valido (database danneggiato)
90735 = Users provider non trovato, controllare il percorso URL o la configurazione del server
90736 = Users provider non valido, controllare tutti i parametri o la configurazione del server
90740 = La richiesta di Export è scaduta
90741 = Il vincolo di Export non è stato trovato
90742 = Il file di Export non è stato trovato
90748 = Token di sessione non valido (troppo corto, min 10)
90749 = Token di sessione non valido (troppo lungo, max 32 )
90750 = Token di sessione non valido (non trovato)
90751 = Codice evento non valido
#90800 = HTTP method GET is not supported by this URL
#90801 = Specify a valid statement in request call
#90802 = Any valid statement in request call
#90803 = Difference between header and query string value for the statement
#90804 = Request class was not found
#90805 = Response class was not found
#90806 = Internal error, unsupported type class in method
#90807 = Internal error, unsupported type class
#90808 = Internal security exception
#90809 = Internal error, method not found
#90810 = Internal error, class instantiation error
#90811 = Internal error, class illegal access
#90812 = Internal error, unsupported array type class in method
#90813 = Internal error, unsupported array type class
#90814 = Not valid value, cast exception
#90817 = Error open servlet print writer
#90818 = Error open servlet output stream
#90819 = Error reading from input stream
#90820 = Null response is not a valid response
#90821 = Response class do not match
90830 = Sincronizzazione del server in corso, riprova piu' tardi
90831 = Sincronizzazione del server in corso (superadmin), riprova piu' tardi
90840 = Valore non valido per il campo 'viewsize': usa WIDTHxHEIGTH
90841 = Image request mode not valid
90842 = Image request mode not valid
90850 = associazione client/istanza non valida
90851 = Errore dati, nessuna lingua è stata trovata per il cliente
90852 = Errore dati, nessuna lingua è stata trovata per l'istanza
90853 = Errore dati, nessuna tecnologia è stata trovata
90854 = Errore dati, nessuna zona è stata trovata
90855 = Cliente di destinazione gia' presente
90856 = Cliente di destinazione gia' presente (cancellato)
90857 = Istanza di destinazione gia' presente
90858 = Istanza di destinazione gia' presente (cancellata)
90859 = Destinazione, lingua del cliente non valida
90860 = Target, lingua dell' istanza non valida
90861 = Target, tecnologia non valida
90862 = Target, zona non valida
90863 = Troppi record estratti
90864 = Errore di comparazione dati/target 
90865 = Le liste di dati e target sono vuote
90866 = Il gruppo di Target è già presente
90970 = Applicazione bloccata su questo dispositivo
90980 = Errore interno, la richiesta deve implementare l' interfaccia per completare l'operazione
90981 = La Classe non è gestita dal comparatore di campi del database
90982 = Database non mappato
90983 = Errore interno del server, richiesta nulla
90984 = Fase della richiesta nulla
90985 = Fase della richiesta non valida
90986 = MultipartFormData la richiesta non è valida
90987 = MultipartFormData errore nella richiesta di upload
90988 = La richiesta non è valida MultipartFormData
90989 = La Classe non è gestita dal valore del campo del database
90990 = Errore in accesso alla base dati (timeout)
90991 = Errore interno del server
90992 = Errore di gestione server 
90993 = Problema di connessione con il server 
90994 = Errore in accesso alla base dati
90995 = Errore non gestito
90996 = Servizio non attivo
90997 = Sessione nulla o non valida
90998 = Richiesta non valida 
90999 = Risposta non valida 

50001 = Richiesta XML non valida: 'type' sconosciuto
50002 = Richiesta XML non consistente, verifica tracciato XML
50003 = Richiesta XML non consistente, aggiungi 'registration' al tracciato XML
50010 = Errore interno del server
50011 = Errore interno del server (sconosciuto)
50012 = Errore interno del server (database)
50020 = Master status operation list: 'statement' unknown
50021 = Master status: node info is null
50101 = Inoltro XML la richiesta è null
50103 = Inoltro XML la risposta è null

80100 = SSO - provider non configurato corretamente
80101 = SSO - configurazione client non corretta
80102 = SSO - errore in configurazione provider (client)
80110 = SSO - client mobile non configurato
80111 = SSO - configurazione client mobile non valida
80112 = SSO - errore in configurazione client mobile
80120 = SSO - errore non gestito
80121 = SSO - errore in fase di login
80122 = SSO - errore in fase di logout
80123 = SSO - errore durante il cambio password
80124 = SSO - errore in recupero informazioni token
80125 = SSO - errore in recupero informazioni utente
80126 = Credenziali errate

80400 = Associazione sottoscrizione/rinnovo non trovata
80401 = Rinnovo non trovato
80402 = Codice one-shot non trovato 
80403 = Codice one-shot gia' utilizzato 
80404 = Attivazione a DesktopMate non trovata		
80405 = In codice IMEI non corrisponde 
80406 = Il rinnovo non corrisponde
80407 = Valore non valido per il campo 'status', accettato 'OK','BURN'

91000 = Numero di telefono non valido
71001 = Data mancante o invalida
71002 = Km Utili è un campo obbligatorio
71003 = Km Inutili è un campo obbligatorio
71004 = Km Fuori soglia è un campo obbligatorio
71005 = Tipologia è un campo obbligatorio
71006 = Data inizio è un campo obbligatorio
71007 = Data fine è un campo obbligatorio
71008 = Invalido Session Token
0 = Ok
#0 = Ok, just notified
              